/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_PDP
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_PDP

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_get_network_status (DBusGProxy *proxy, GHashTable** OUT_status, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetNetworkStatus", error, G_TYPE_INVALID, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), OUT_status, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_get_network_status_reply) (DBusGProxy *proxy, GHashTable *OUT_status, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_get_network_status_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  GHashTable* OUT_status;
  dbus_g_proxy_end_call (proxy, call, &error, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), &OUT_status, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_get_network_status_reply)data->cb) (proxy, OUT_status, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_get_network_status_async (DBusGProxy *proxy, org_freesmartphone_GSM_PDP_get_network_status_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetNetworkStatus", org_freesmartphone_GSM_PDP_get_network_status_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_set_credentials (DBusGProxy *proxy, const char * IN_apn, const char * IN_username, const char * IN_password, GError **error)

{
  return dbus_g_proxy_call (proxy, "SetCredentials", error, G_TYPE_STRING, IN_apn, G_TYPE_STRING, IN_username, G_TYPE_STRING, IN_password, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_set_credentials_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_set_credentials_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_set_credentials_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_set_credentials_async (DBusGProxy *proxy, const char * IN_apn, const char * IN_username, const char * IN_password, org_freesmartphone_GSM_PDP_set_credentials_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SetCredentials", org_freesmartphone_GSM_PDP_set_credentials_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_apn, G_TYPE_STRING, IN_username, G_TYPE_STRING, IN_password, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_get_credentials (DBusGProxy *proxy, char ** OUT_apn, char ** OUT_username, char ** OUT_password, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetCredentials", error, G_TYPE_INVALID, G_TYPE_STRING, OUT_apn, G_TYPE_STRING, OUT_username, G_TYPE_STRING, OUT_password, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_get_credentials_reply) (DBusGProxy *proxy, char * OUT_apn, char * OUT_username, char * OUT_password, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_get_credentials_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char * OUT_apn;
  char * OUT_username;
  char * OUT_password;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRING, &OUT_apn, G_TYPE_STRING, &OUT_username, G_TYPE_STRING, &OUT_password, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_get_credentials_reply)data->cb) (proxy, OUT_apn, OUT_username, OUT_password, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_get_credentials_async (DBusGProxy *proxy, org_freesmartphone_GSM_PDP_get_credentials_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetCredentials", org_freesmartphone_GSM_PDP_get_credentials_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_activate_context (DBusGProxy *proxy, GError **error)

{
  return dbus_g_proxy_call (proxy, "ActivateContext", error, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_activate_context_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_activate_context_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_activate_context_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_activate_context_async (DBusGProxy *proxy, org_freesmartphone_GSM_PDP_activate_context_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "ActivateContext", org_freesmartphone_GSM_PDP_activate_context_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_deactivate_context (DBusGProxy *proxy, GError **error)

{
  return dbus_g_proxy_call (proxy, "DeactivateContext", error, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_deactivate_context_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_deactivate_context_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_deactivate_context_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_deactivate_context_async (DBusGProxy *proxy, org_freesmartphone_GSM_PDP_deactivate_context_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "DeactivateContext", org_freesmartphone_GSM_PDP_deactivate_context_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_PDP_get_context_status (DBusGProxy *proxy, char ** OUT_status, GHashTable** OUT_properties, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetContextStatus", error, G_TYPE_INVALID, G_TYPE_STRING, OUT_status, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), OUT_properties, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_PDP_get_context_status_reply) (DBusGProxy *proxy, char * OUT_status, GHashTable *OUT_properties, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_PDP_get_context_status_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char * OUT_status;
  GHashTable* OUT_properties;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRING, &OUT_status, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), &OUT_properties, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_PDP_get_context_status_reply)data->cb) (proxy, OUT_status, OUT_properties, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_PDP_get_context_status_async (DBusGProxy *proxy, org_freesmartphone_GSM_PDP_get_context_status_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetContextStatus", org_freesmartphone_GSM_PDP_get_context_status_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_PDP */

G_END_DECLS
